맥 운영체제 업데이트 후 잘 써오던 메일 플러그인이 갑자기 작동하지 않는다면? MailPluginFix

2013. 11. 18. 23:39    작성자: ONE™


MailPluginFix (무료)

OS X 베타 버전을 설치하면 남들보다 먼저 최신 기술을 체감한다는 쾌감을 느낄 수 있지만, 응용 프로그램과 각종 플러그인의 호환성 문제라는 골칫거리가 같이 따라옵니다. 

특히 메일 앱용 플러그인의 경우 웬만한 응용 프로그램보다 소프트웨어 업데이트에 훨씬 더 민감하게 반응합니다. 예를 들어, OS X 마운틴 라이언에 최적화된 응용 프로그램은 운영체제 버전이 10.8.0에서 OS X 10.8.5로 올라가는 동안 호환성 문제가 발생하지 않는 것이 일반적이며, 심지어 OS X 10.9 매버릭스에서도 잘 굴러가는 경우가 많습니다. 하지만 메일 플러그인은 메일 앱이 아주 소폭 업데이트(7.0 → 7.1)되더라도 아예 작동을 멈추는 경우가 비일비재합니다. 최근에 블로그를 통해 소개해 드린 새 이메일 알림 플러그인 'Herald'도 OS X 10.9.1 베타 버전에서는 아예 작동을 하지 않습니다.

참고로 운영체제(또는 메일) 버전이 올라가면서 비활성화된 메일 플러그인은 ~/Library/Mail/Bundles (비활성화됨) 폴더로 자동으로 이동합니다. ▼

이런 호환성 문제가 발생했을 때 플러그인 새 버전이 나올 때까지 마냥 손 놓고 기다리고 있어야 할까요? 해 볼 수 있는 방법이 전혀 없는 것은 아닙니다.

메일 플러그인의 프로퍼티리스트(plist)를 사용자가 직접 수정해 플러그인을 실행시킬 수 있는 방법이 존재합니다. 플러그인이 새로운 운영체제을 지원하도록 설계되지는 않았지만, 버전 번호(정확히는 UUID)를 속여 플러그인을 강제로 구동시키는 원리입니다. 100% 완벽한 해결책은 아니지만 성공률이 매우 높기 때문에 해박한 사용자 사이에서 자주 언급되는 해법입니다. (관련 링크)

터미널과 소스코드에 익숙한 사용자와는 달리 초보자가 적용하기에 절차와 방법이 무척 까다로운 편인데, 클릭 한번만 해주면 이런 작업을 대신해 주는 편리한 유틸리티가 있습니다. 'MailPluginFix'라는 유틸리티입니다.

원샷 원킬!

1. MailPluginFix를 실행하면 현재 비활성화된 플러그인을 메인 윈도우에 표시합니다. 이 중 원하는 플러그인을 선택한 다음 윈도우 좌측 상단의 화살표 버튼을 누르면… ▼

2. 해당 플러그인의 호환성 문제를 해결하는 것과 동시에 비활성화된 번들을 모아둔 폴더에서 일반 번들 폴더로 플러그인을 옮긴다는 안내 문구를 표시합니다. ▼

3. [OK] 버튼을 누르면, 모든 작업이 완료됩니다. 정말 간단하죠? ▼

4. 마지막으로 메일 앱을 실행해 플러그인이 정상적으로 작동하는지 확입합니다. ▼

코멘트 & 다운로드

OS X 베타 버전을 활발하게 설치하는 분들이나 업데이트가 제때 이뤄지지 않는 메일 플러그인을 사용할 때만 본문에 소개한 방법이나 MailPluginFix를 사용하실 것을 권장합니다. 개인적인 경험을 덧붙이면 메일 앱이 마이너 업데이트될 때는 100% 가까운 높은 성공률을 보여주지만, 어디까지나 코드 조작을 통해 플러그인을 강제로 구동시키는 것인 만큼 겉으로 드러나지 않는 호환성 문제가 발생할 여지가 있기 때문입니다.

Download MailPluginFix $0.00



참조
MailPluginFix 공식 홈페이지

관련 글
• Herald, OS X 메일 앱의 부족한 부분을 채워주는 멋진 동반자
• 시스템 속에 잠자고 있는 이메일 첨부 파일을 삭제해 용량 확보하기
• 애플, 매버릭스용 메일 업데이트와 아이북스 업데이트 동시 배포 '지메일 호환성 향상, 버그 개선 등'
• 애플, OS X 매버릭스 10.9.1 첫 베타 버전 공개

    
  1. Blog Icon
    혀누

    와우! 마치 연금술과 같은 프로그램입니다

  2. Blog Icon
    무신론자

    헐 메일 앱에도 플러그인이 있었군요. 몰랐네요

  3. Blog Icon
    ytssay

    감사합니다. 이번 업데이트에도 문제가 있었는데 쉽게 해결을 보았습니다. ^^